Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.util
Class StringManager

    java.lang.Object
      org.apache.catalina.tribes.util.StringManager

    public class StringManager

extends Object

An internationalization / localization helper class which reduces the bother of handling ResourceBundles and takes care of the common cases of message formating which otherwise require the creation of Object arrays and such.

The StringManager operates on a package basis. One StringManager per package can be created and accessed via the getManager method call.

The StringManager will look for a ResourceBundle named by the package name given plus the suffix of "LocalStrings". In practice, this means that the localized information will be contained in a LocalStrings.properties file located in the package directory of the classpath.

Please see the documentation for java.util.ResourceBundle for more information.

Version:
  $Id: StringManager.java 1043105 2010-12-07 15:42:32Z markt $
Author:
  James Duncan Davidson [duncan@eng.sun.com], James Todd [gonzo@eng.sun.com], Mel Martinez [mmartinez@g1440.com]
See Also:
  `ResourceBundle`

Method Summary
`static StringManager` | `getManager(String packageName)` Get the StringManager for a particular package.
`String` | `getString(String key)` Get a string from the underlying resource bundle or return null if the String is not found.
`String` | `getString(String key, Object... args)` Get a string from the underlying resource bundle and format it with the given set of arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public String getString(String key)

  Get a string from the underlying resource bundle or return null if the String is not found.

  Parameters:
    `key` - to desired resource String
  Returns:
    resource String matching key from underlying bundle or null if not found.
  Throws:
    `IllegalArgumentException` - if key is null.

### getString

    public String getString(String key,
                            Object... args)

  Get a string from the underlying resource bundle and format it with the given set of arguments.

  Parameters:
    `key` -
    `args` -

### getManager

    public static final StringManager getManager(String packageName)

  Get the StringManager for a particular package. If a manager for a package already exists, it will be reused, else a new StringManager will be created and returned.

  Parameters:
    `packageName` - The package name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.